Skip to main content
POST
/
web
/
template
Create Web template
curl --request POST \
  --url https://platform.inklink.com/api/v1/web/template \
  --header 'Content-Type: application/json' \
  --header 'api-key: <api-key>' \
  --data '
{
  "query": "<string>",
  "start_url": "<string>",
  "return_url": "<string>",
  "name": "<string>",
  "description": "<string>",
  "capture_type": "screenshot",
  "fields": [
    {
      "name": "<string>",
      "required": true,
      "description": "<string>"
    }
  ],
  "user_instruction": "<string>",
  "acceptance_guide": "<string>",
  "ai_instruction": "<string>",
  "login_methods": [
    {
      "provider": "<string>",
      "config": {}
    }
  ],
  "allowed_modes": [
    "manual"
  ],
  "settings": {
    "show_acceptance_guide": true,
    "show_cover_page": true
  },
  "metadata": {},
  "status": "draft",
  "theme_id": "<string>"
}
'
{
  "id": "<string>",
  "key": "<string>",
  "version": 123,
  "is_latest": true,
  "status": "draft",
  "name": "<string>",
  "description": "<string>",
  "query": "<string>",
  "fields": [
    {
      "name": "<string>",
      "required": true,
      "description": "<string>"
    }
  ],
  "user_instruction": "<string>",
  "acceptance_guide": "<string>",
  "start_url": "<string>",
  "return_url": "<string>",
  "capture_type": "screenshot",
  "settings": {
    "show_acceptance_guide": true,
    "show_cover_page": true
  },
  "metadata": {},
  "theme_id": "<string>",
  "org_id": "<string>",
  "created_by": "<string>",
  "published_at": "2023-11-07T05:31:56Z",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "deleted_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.inklink.com/llms.txt

Use this file to discover all available pages before exploring further.

Headers

api-key
string
required
Example:

"secret_live_xxx"

Body

application/json
query
string
required

What the inquiry should establish (required, non-empty).

start_url
string
required

URL where the capture session starts (required, non-empty).

return_url
string
required

Redirect URL after capture (required, non-empty).

name
string

Display name; may be auto-generated from query if omitted.

description
string
capture_type
enum<string>
default:screenshot
Available options:
screenshot,
document
fields
object[]

Fields to extract from evidence.

user_instruction
string
acceptance_guide
string
ai_instruction
string

Not returned on GET responses; stored for processing.

login_methods
object[]

Not returned on template GET responses; optional on create.

allowed_modes
enum<string>[]

Not returned on template GET responses.

Available options:
manual,
auto
settings
object
metadata
object

String key-value metadata.

status
enum<string>
default:draft
Available options:
draft,
published
theme_id
string

Must reference a theme that belongs to your org.

Response

Template created.

Web inquiry template row. Responses omit ai_instruction, login_methods, and allowed_modes even if set in the request body.

id
string

Row id (web_tpl_...).

key
string

Use as template_key on Create Web inquiry.

version
integer
is_latest
boolean
status
enum<string>
Available options:
draft,
published
name
string
description
string
query
string
fields
object[]
user_instruction
string
acceptance_guide
string
start_url
string
return_url
string
capture_type
enum<string>
Available options:
screenshot,
document
settings
object
metadata
object
theme_id
string | null
org_id
string
created_by
string
published_at
string<date-time> | null
created_at
string<date-time>
updated_at
string<date-time>
deleted_at
string<date-time> | null